Subject: Re: [bug#38455] [PATCH] doc: Mention how to test against make / guix pull breakage.

From: zimoun <[email-masked]>
Date: Tue, 3 Dec 2019 11:39:09 +0100

Hi Danny,

On Mon, 2 Dec 2019 at 22:59, Danny Milosavljevic <[email-masked]> wrote:

> On Mon, 02 Dec 2019 21:14:34 +0100
> Pierre Neidhardt <[email-masked]> wrote:
>
> > Why would you need the ad-hoc part though?
>
> I've added it because it didn't work without.

Recently?

> I *think* is was because there was a time where guile-json
> was not a dependency of guix-the-package but it became
> one of the guix git checkout, making the build of the guix
> git checkout in a guix environment fail.
> I really can't remember, though.

I remember as well something like that. But now, it is fixed: "guix
environment guix --pure" does the correct job, I guess.

> Some parts of the Guix build use git--can't remember which.

I do not think so.
But having Git in the environment is really helpful (switch branch,
revert, log, etc.)

Cheers,
simon